| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::gapi::ov::detail::ParamDesc::Model Struct Reference

`#include <opencv2/gapi/infer/ov.hpp>`

Collaboration diagram for cv::gapi::ov::detail::ParamDesc::Model:

## Public Member Functions
| Model (const std::string &model_path_, const std::string &bin_path_)

## Public Attributes
std::string | bin_path
LayerVariantAttr< std::string > | input_model_layout
LayerVariantAttr< std::string > | input_tensor_layout
LayerVariantAttr< int > | interpolation
LayerVariantAttr< std::vector< float > > | mean_values
std::string | model_path
LayerVariantAttr< std::vector< size_t > > | new_shapes
LayerVariantAttr< std::string > | output_model_layout
LayerVariantAttr< std::string > | output_tensor_layout
LayerVariantAttr< int > | output_tensor_precision
LayerVariantAttr< std::vector< float > > | scale_values

## Constructor & Destructor Documentation

## ◆ Model()

cv::gapi::ov::detail::ParamDesc::Model::Model | ( | const std::string & | model_path_,
|  | const std::string & | bin_path_ )
| inline

## Member Data Documentation

## ◆ bin_path

std::string cv::gapi::ov::detail::ParamDesc::Model::bin_path

## ◆ input_model_layout

LayerVariantAttr<std::string> cv::gapi::ov::detail::ParamDesc::Model::input_model_layout

## ◆ input_tensor_layout

LayerVariantAttr<std::string> cv::gapi::ov::detail::ParamDesc::Model::input_tensor_layout

## ◆ interpolation

LayerVariantAttr<int> cv::gapi::ov::detail::ParamDesc::Model::interpolation

## ◆ mean_values

LayerVariantAttr<std::vector<float> > cv::gapi::ov::detail::ParamDesc::Model::mean_values

## ◆ model_path

std::string cv::gapi::ov::detail::ParamDesc::Model::model_path

## ◆ new_shapes

LayerVariantAttr<std::vector<size_t> > cv::gapi::ov::detail::ParamDesc::Model::new_shapes

## ◆ output_model_layout

LayerVariantAttr<std::string> cv::gapi::ov::detail::ParamDesc::Model::output_model_layout

## ◆ output_tensor_layout

LayerVariantAttr<std::string> cv::gapi::ov::detail::ParamDesc::Model::output_tensor_layout

## ◆ output_tensor_precision

LayerVariantAttr<int> cv::gapi::ov::detail::ParamDesc::Model::output_tensor_precision

## ◆ scale_values

LayerVariantAttr<std::vector<float> > cv::gapi::ov::detail::ParamDesc::Model::scale_values

The documentation for this struct was generated from the following file:

- opencv2/gapi/infer/ov.hpp